VERSION 5.00
Begin VB.Form frmCreateStyle 
   AutoRedraw      =   -1  'True
   BorderStyle     =   1  'Fixed Single
   ClientHeight    =   3015
   ClientLeft      =   45
   ClientTop       =   375
   ClientWidth     =   3735
   Icon            =   "CreateStyle.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   3015
   ScaleWidth      =   3735
   ShowInTaskbar   =   0   'False
   StartUpPosition =   2  'CenterScreen
   Begin VB.CheckBox chkMargin 
      Height          =   375
      Left            =   120
      TabIndex        =   11
      Top             =   2040
      Width           =   3495
   End
   Begin VB.TextBox txtBetweenFrames 
      Height          =   285
      Left            =   3240
      TabIndex        =   10
      Text            =   "0"
      Top             =   1680
      Width           =   375
   End
   Begin VB.TextBox txtFromSide 
      Height          =   285
      Left            =   3240
      TabIndex        =   8
      Text            =   "0"
      Top             =   1320
      Width           =   375
   End
   Begin VB.TextBox txtCols 
      Height          =   285
      Left            =   3240
      TabIndex        =   1
      Text            =   "1"
      Top             =   960
      Width           =   375
   End
   Begin VB.CommandButton cmdOK 
      Default         =   -1  'True
      Height          =   375
      Left            =   120
      TabIndex        =   2
      Top             =   2520
      Width           =   1695
   End
   Begin VB.CommandButton cmdCancel 
      Height          =   375
      Left            =   1920
      TabIndex        =   3
      Top             =   2520
      Width           =   1695
   End
   Begin VB.TextBox txtRows 
      Height          =   285
      Left            =   3240
      TabIndex        =   0
      Text            =   "1"
      Top             =   600
      Width           =   375
   End
   Begin VB.Label lblBetweenFrames 
      Alignment       =   1  'Right Justify
      Height          =   255
      Left            =   120
      TabIndex        =   9
      Top             =   1680
      Width           =   3015
   End
   Begin VB.Label lblFromSide 
      Alignment       =   1  'Right Justify
      Height          =   255
      Left            =   120
      TabIndex        =   7
      Top             =   1320
      Width           =   3015
   End
   Begin VB.Label lblInfo 
      Height          =   495
      Left            =   120
      TabIndex        =   6
      Top             =   120
      Width           =   3495
   End
   Begin VB.Label lblCols 
      Alignment       =   1  'Right Justify
      Height          =   255
      Left            =   120
      TabIndex        =   5
      Top             =   960
      Width           =   3015
   End
   Begin VB.Label lblRows 
      Alignment       =   1  'Right Justify
      Height          =   255
      Left            =   120
      TabIndex        =   4
      Top             =   600
      Width           =   3015
   End
End
Attribute VB_Name = "frmCreateStyle"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

'***************
'* Local vars: *
'***************

'*********
'* Form: *
'*********

Private Sub Form_Load()

  On Error GoTo Error_Handler
  If sPartner <> "asadventure" Then Me.Icon = LoadPicture(App.Path & IIf(Right(App.Path, 1) = "\", vbNullString, "\") & "icon32.ico")
  Me.Caption = frmCreateStyle_Caption
  lblRows.Caption = frmCreateStyle_lblRows_Caption
  lblCols.Caption = frmCreateStyle_lblCols_Caption
  lblFromSide.Caption = frmCreateStyle_lblFromSide_Caption
  lblBetweenFrames.Caption = frmCreateStyle_lblBetweenFrames_Caption
  chkMargin.Caption = frmCreateStyle_chkMargin_Caption
  cmdOK.Caption = frmCreateStyle_cmdOK_Caption
  cmdCancel.Caption = frmCreateStyle_cmdCancel_Caption
  Exit Sub
  
Error_Handler:
  HandleError Err, "frmCreateStyle:Form_Load", Erl
  Resume Next
  
End Sub

Private Sub Form_Activate()

  On Error GoTo Error_Handler
  lblInfo.Caption = GetFromINI("frmCreateStyle", "lblInfo.Caption") & iMaxPics & "):"
  
  If (sCover = "BP" And CInt(Right(frmPixbook.TabStrip1.SelectedItem.Key, 1)) > 2) Or bHoles = False Then
  
    chkMargin.Visible = False
    cmdOK.Top = 2160
    Me.Height = 3075
    
  Else
  
    chkMargin.Visible = True
    cmdOK.Top = 2520
    Me.Height = 3435
    
  End If
  
  cmdCancel.Top = cmdOK.Top
  Exit Sub
  
Error_Handler:
  HandleError Err, "frmCreateStyle:Form_Load", Erl
  Resume Next
  
End Sub

'*******************
'* CommandButtons: *
'*******************

Private Sub cmdCancel_Click()

  On Error GoTo Error_Handler
  UnloadObject Me
  Exit Sub
  
Error_Handler:
  HandleError Err, "frmCreateStyle:cmdCancel_Click", Erl
  Resume Next
  
End Sub

Private Sub cmdOK_Click()

  On Error GoTo Error_Handler
  
  If IsNumeric(txtRows.Text) And IsNumeric(txtCols.Text) And IsNumeric(txtFromSide.Text) And IsNumeric(txtBetweenFrames.Text) Then
  
    If txtRows.Text > 0 And txtCols.Text > 0 And txtFromSide.Text >= 0 And txtBetweenFrames.Text >= 0 Then
    
      Dim iPicCnt As Integer
      Dim iRows   As Integer
      Dim iCols   As Integer
      Dim Wd      As Single 'Total width
      Dim Ht      As Single 'Total height
      Dim L       As Single 'From Left side
      Dim T       As Single 'From Top side
      Dim W       As Single 'Width between frames
      Dim H       As Single 'Height between frames
      Dim M       As Single 'Margin
      
      iPicCnt = txtRows.Text * txtCols.Text
      
      If frmPixbook.TabStrip1.SelectedItem.Key = "tab2" Then
      
        If sCover = "SP" Then
        
          If txtFromSide.Text > 0 And txtFromSide.Text < 10 Then txtFromSide.Text = 10
          
        Else
        
          If txtFromSide.Text > 0 And txtFromSide.Text < iBleedMm Then txtFromSide.Text = 2 * iBleedMm
          
        End If
        
        Wd = frmPixbook.frmPage(iPage).Width * iTwX
        Ht = frmPixbook.frmPage(iPage).Height * iTwY
        L = txtFromSide.Text * frmPixbook.frmPage(iPage).Width * iTwX / iPgWdMm
        T = txtFromSide.Text * frmPixbook.frmPage(iPage).Height * iTwY / iPgHtMm
        W = txtBetweenFrames.Text * frmPixbook.frmPage(iPage).Width * iTwX / iPgWdMm
        H = txtBetweenFrames.Text * frmPixbook.frmPage(iPage).Height * iTwY / iPgHtMm
        M = iPgMgMm * frmPixbook.frmPage(iPage).Width * iTwX / iPgWdMm
        
      ElseIf CInt(Right(frmPixbook.TabStrip1.SelectedItem.Key, 1)) > 2 Then
      
        If sCover = "SP" Then
        
          If txtFromSide.Text > 0 And txtFromSide.Text < 20 Then txtFromSide.Text = 20
          
        Else
        
          If txtFromSide.Text > 0 And txtFromSide.Text < 2 * iBleedMm Then txtFromSide.Text = 4 * iBleedMm
          
        End If
        
        Wd = frmPixbook.frmCvr(iCover).Width * iTwX
        Ht = frmPixbook.frmCvr(iCover).Height * iTwY
        L = txtFromSide.Text * frmPixbook.frmCvr(iCover).Width * iTwX / iCvrWdMm
        T = txtFromSide.Text * frmPixbook.frmCvr(iCover).Height * iTwY / iCvrHtMm
        W = txtBetweenFrames.Text * frmPixbook.frmCvr(iCover).Width * iTwX / iCvrWdMm
        H = txtBetweenFrames.Text * frmPixbook.frmCvr(iCover).Height * iTwY / iCvrHtMm
        
        If sCover = "WP" Then
        
          M = iPgMgMm * frmPixbook.frmCvr(iCover).Width * iTwX / iCvrWdMm
          
        Else
        
          M = 0
          
        End If
        
      End If
      
      If txtRows.Text = 1 And txtCols.Text = 1 Then
      
        W = 0
        H = 0
        
      End If
      
      If iPicCnt > iMaxPics Or (txtRows.Text - 1) * H + 2 * T >= Ht Or (txtCols.Text - 1) * W + 2 * L >= Wd Then
      
        MsgBox GetFromINI("frmCreateStyle", "sImpossibleDistribution"), vbExclamation, sAppName
        Exit Sub
        
      End If
      
      frmPixbook.DeletePage
      
      For iRows = 0 To txtRows.Text - 1
      
        For iCols = 0 To txtCols.Text - 1
        
          If frmPixbook.TabStrip1.SelectedItem.Key = "tab2" Then
          
            If bMargin And M <> 0 And chkMargin.Value = 1 And iPage Mod 2 = 1 Then
            
              cmdPicture vbNullString, M + L + iCols * (frmPixbook.frmPage(iPage).Width * iTwX - 2 * L - M - (txtCols.Text - 1) * W) / txtCols.Text + iCols * W, T + iRows * (frmPixbook.frmPage(iPage).Height * iTwY - 2 * T - (txtRows.Text - 1) * H) / txtRows.Text + iRows * H, (frmPixbook.frmPage(iPage).Width * iTwX - 2 * L - M - (txtCols.Text - 1) * W) / txtCols.Text, (frmPixbook.frmPage(iPage).Height * iTwY - 2 * T - (txtRows.Text - 1) * H) / txtRows.Text
              
            ElseIf bMargin And M <> 0 And chkMargin.Value = 1 And iPage Mod 2 = 0 Then
            
              cmdPicture vbNullString, L + iCols * (frmPixbook.frmPage(iPage).Width * iTwX - 2 * L - M - (txtCols.Text - 1) * W) / txtCols.Text + iCols * W, T + iRows * (frmPixbook.frmPage(iPage).Height * iTwY - 2 * T - (txtRows.Text - 1) * H) / txtRows.Text + iRows * H, (frmPixbook.frmPage(iPage).Width * iTwX - 2 * L - M - (txtCols.Text - 1) * W) / txtCols.Text, (frmPixbook.frmPage(iPage).Height * iTwY - 2 * T - (txtRows.Text - 1) * H) / txtRows.Text
              
            Else
            
              cmdPicture vbNullString, L + iCols * (frmPixbook.frmPage(iPage).Width * iTwX - 2 * L - (txtCols.Text - 1) * W) / txtCols.Text + iCols * W, T + iRows * (frmPixbook.frmPage(iPage).Height * iTwY - 2 * T - (txtRows.Text - 1) * H) / txtRows.Text + iRows * H, (frmPixbook.frmPage(iPage).Width * iTwX - 2 * L - (txtCols.Text - 1) * W) / txtCols.Text, (frmPixbook.frmPage(iPage).Height * iTwY - 2 * T - (txtRows.Text - 1) * H) / txtRows.Text
              
            End If
            
          ElseIf CInt(Right(frmPixbook.TabStrip1.SelectedItem.Key, 1)) > 2 Then
          
            If bMargin And M <> 0 And chkMargin.Value = 1 And iCover Mod 2 = 1 Then
            
              cmdPicture vbNullString, M + L + iCols * (frmPixbook.frmCvr(iCover).Width * iTwX - 2 * L - M - (txtCols.Text - 1) * W) / txtCols.Text + iCols * W, T + iRows * (frmPixbook.frmCvr(iCover).Height * iTwY - 2 * T - (txtRows.Text - 1) * H) / txtRows.Text + iRows * H, (frmPixbook.frmCvr(iCover).Width * iTwX - 2 * L - M - (txtCols.Text - 1) * W) / txtCols.Text, (frmPixbook.frmCvr(iCover).Height * iTwY - 2 * T - (txtRows.Text - 1) * H) / txtRows.Text
              
            ElseIf bMargin And M <> 0 And chkMargin.Value = 1 And iCover Mod 2 = 0 Then
            
              cmdPicture vbNullString, L + iCols * (frmPixbook.frmCvr(iCover).Width * iTwX - 2 * L - M - (txtCols.Text - 1) * W) / txtCols.Text + iCols * W, T + iRows * (frmPixbook.frmCvr(iCover).Height * iTwY - 2 * T - (txtRows.Text - 1) * H) / txtRows.Text + iRows * H, (frmPixbook.frmCvr(iCover).Width * iTwX - 2 * L - M - (txtCols.Text - 1) * W) / txtCols.Text, (frmPixbook.frmCvr(iCover).Height * iTwY - 2 * T - (txtRows.Text - 1) * H) / txtRows.Text
              
            Else
            
              cmdPicture vbNullString, L + iCols * (frmPixbook.frmCvr(iCover).Width * iTwX - 2 * L - (txtCols.Text - 1) * W) / txtCols.Text + iCols * W, T + iRows * (frmPixbook.frmCvr(iCover).Height * iTwY - 2 * T - (txtRows.Text - 1) * H) / txtRows.Text + iRows * H, (frmPixbook.frmCvr(iCover).Width * iTwX - 2 * L - (txtCols.Text - 1) * W) / txtCols.Text, (frmPixbook.frmCvr(iCover).Height * iTwY - 2 * T - (txtRows.Text - 1) * H) / txtRows.Text
              
            End If
            
          End If
          
        Next
        
      Next
      
      Me.Hide
      
    End If
    
  End If
  
  Exit Sub
  
Error_Handler:
  HandleError Err, "frmCreateStyle:cmdOK_Click", Erl
  Resume Next
  
End Sub
